#include <catch2/catch_test_macros.hpp>
#include <Garbage/SimpleConf.hpp>

TEST_CASE("Config files with no key value pairs")
{
    SECTION("Empty file")
    {
        std::filesystem::path path("TestConfigs/Empty.conf");
        REQUIRE_NOTHROW(Garbage::SimpleConf(path));
    }

    SECTION("File with comments")
    {
        std::filesystem::path path("TestConfigs/CommentsOnly.conf");
        REQUIRE_NOTHROW(Garbage::SimpleConf(path));
    }
}
